Page MenuHomePhabricator

Lift IP limit - WMCL Editathon 2020-01-27
Closed, ResolvedPublic

Description

Wikimedia Chile, the local chapter in Chile, will host an outreach event in Santiago on January 27.

This event is an Editathon in ECLAC (CEPAL in Spanish) in Santiago, Chile.

We think we will have some new editors, so we are requesting lift the IP rate limit for this event. We are estimating about 20 attendees (veteran, new users, others). The users will edit in Spanish, English Wikipedia, Wikimedia Commons and Wikidata, and every time will be helped by the users and volunteers of Wikimedia Chile to prevent vandalism and break anything on Wikipedia.

So, I request lift the IP rate limit around 12 hours (between 12:00 UTC - 22:00 UTC ; 09:00 CLST - 19:00 CLST)

Wikis: es.wikipedia.org, en.wikipedia.org, commons.wikimedia.org wikidata.org
IP address: 200.9.3.65
Timeframe: Jan 27 2020 12:00 UTC to Jan 27 2020 22:00 UTC
Attendees: 20

Thanks in advance

(ps: Is anyway to make myself this kind of requests?, I can program in PHP and I see the previous tasks about IP Lift and it seems easy to resolve...)

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2019, 12:07 PM

Ad PS) Yes, anyone can upload a patch! See https://www.mediawiki.org/wiki/Gerrit/Tutorial and https://wikitech.wikimedia.org/wiki/Increasing_account_creation_threshold. Feel free to ask any questions here or at #wikimedia-dev irc channel.

Urbanecm triaged this task as Low priority.Dec 24 2019, 4:16 PM
Urbanecm moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

@Superzerocool Do you want to work on this, or I can claim task and make patch instead of you?

Change 562056 had a related patch set uploaded (by Superzerocool; owner: Superzerocool):
[operations/mediawiki-config@master] Add a new throttle rule and remove outdated rules

https://gerrit.wikimedia.org/r/562056

@Zoranzoki21 sorry for the unexpected delay: I pushed my first branch to gerrit (yipee) after a long battle with my computer. I see two possible conflicts with my change.

@Zoranzoki21 sorry for the unexpected delay: I pushed my first branch to gerrit (yipee) after a long battle with my computer. I see two possible conflicts with my change.

Cool, thanks!

Scheduled for today Morning SWAT

Change 562056 merged by jenkins-bot:
[operations/mediawiki-config@master] Add throttle rule for ECLAC editathon in Santiago, Chile

https://gerrit.wikimedia.org/r/562056

Zoranzoki21 closed this task as Resolved.Jan 6 2020, 7:18 PM

Mentioned in SAL (#wikimedia-operations) [2020-01-06T19:19:47Z] <urbanecm@deploy1001> Synchronized wmf-config/throttle.php: SWAT: 1324af9: Add throttle rule for ECLAC editathon in Santiago, Chile (T241414) (duration: 00m 54s)

@Zoranzoki21 sorry for the unexpected delay: I pushed my first branch to gerrit (yipee) after a long battle with my computer. I see two possible conflicts with my change.

Excellent job! I've merged and deployed the rule.